@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');
*,
*::after,
*::before {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif
}

body {
  margin: 0;
  background-image: url(Images/background-formulaire.jpg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.navbar {
  position: fixed;
  overflow: hidden;
  width: 100%;
  padding-block: 20px;
  z-index: 1000;
  background-color:rgba(32,59,58, 0.7);
  
}

.nav-links ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content:center;
}

.nav-links li a {
  margin-inline: 50px;
  text-decoration: none;
  font-size: 1.4rem;
  color: rgb(255, 255, 255);
  transition: all 0.5s linear;
  font-family:'Poppins', sans-serif;
}

.nav-links li a:hover {
  text-shadow: 
    0 0 14px #f8ffd6, /* inner white */
    0 0 50px rgb(206, 142, 24), /* middle magenta */
    0 0 14px rgb(218, 255, 69); /* outer cyan */ ;
}

@media (width<=850px) {
  
  .nav-links ul {
      padding: 0;
      display: flex;
      flex-direction: column;
      gap: 10px;
      justify-content: center;
      align-items: center;
  }

}

.formulaire{
  padding : 180px 0px 100px 0px;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.formulaire h1 {
  position: relative;
  color: white;
  padding-left: 80px;
  font-size: 3rem;
}

.overlay-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

.active-popup {
  display: flex;
}

.content-popup {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  position: relative;
  width: 1000px;
  height: 500px;
  border-radius: 15px;
  background-color: #000000;
  padding: 20px;
  gap: 30px;
}


.content-popup::after {
  content: "";
  position: absolute;
  inset: -2px;
  background: linear-gradient(135deg, #71b7e6, #9b59b6, #4A70A9);
  opacity: 0.7;
  border-radius: 16px;
  z-index: -1;

}

.content-popup::before {
  content: "";
  position: absolute;
  inset: 0px;
  background: linear-gradient(135deg, #71b7e6, #9b59b6, #4A70A9);
  border-radius: 20px;
  filter: blur(1.5rem);
  z-index: -2;
  opacity: 0.5;
}


.content-popup img {
  scale: 0.7;
  border-radius: 15px;
}

.content-popup h3 {
  padding: 30px;
  font-size: 1.6rem;
  color: #EFECE3;
  font-family: "Roboto", "Helvetica Neue", Arial, sans-serif;
}

.content-popup p {

  font-size: 1.3rem;
  color: #EFECE3;
  margin-right: 5px;
  font-family: "Roboto", "Helvetica Neue", Arial, sans-serif;
}

.content-popup button {
  border: 0px;
  background-color: #000;
  color: #EFECE3;
  font-size: 1.5rem;
  width: 40px;
  height: 40px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: -40px;
  top: -50px;
  cursor: pointer;
  border: solid 1px #EFECE3;
}

.formPlacement {
  width: 100%;
  height: 100vh;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
}

.glow-wrapper {
  position: relative;
  max-width: 700px;
  width: 100%;
}


.glow-effect {
  position: absolute;
  z-index: 0;
  
}



.border-effect {
  position: absolute;
  inset: -3px;
  background: linear-gradient(135deg, #71b7e6, #9b59b6, #4A70A9);
  border-radius: 13px;
  z-index: 1;
}


.form-container {
  position: relative;
  padding: 25px 30px;
  border-radius: 10px;
  z-index: 2;
  animation: shadow-dance 6s infinite;
  max-width: 700px;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  backdrop-filter:blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-right: 1px solid rgba(255, 255, 255, 0.2);
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

@keyframes shadow-dance {
  0%, 100% {
      box-shadow: 
    0 0 80px #f8ffd6, /* inner white */
    0 0 27px rgba(206, 142, 24, 0.4), /* middle magenta */
    0 0 15px rgba(218, 255, 69, 0.4); /* outer cyan */ ;
  }
  50% {
       box-shadow: 
    0 0 80px rgba(206, 142, 24, 0.4), /* middle magenta */
    0 0 27px rgba(218, 255, 69, 0.4),/* outer cyan */
    0 0 15px #f8ffd6; /* inner white */
  }
  
}

.form-container .title {
  font-size: 25px;
  font-weight: 500;
  position: relative;
  margin-bottom: 25px;
  font-family: "Roboto", "Helvetica Neue", Arial, sans-serif;
  color: #EFECE3;
}

.form-container .title::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  height: 3px;
  width: 50px;
  border-radius: 10px;
  background: linear-gradient(135deg,rgb(206, 142, 24));
}

.user-details {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.input-box {
  display: flex;
  flex-direction: column;
  width: calc(50% - 20px);
  margin-bottom: 15px;
}

.input-box.full {
  width: 100%;
}

.details {
  font-weight: 500;
  padding-block:7px;
}

.input-box input,
.input-box textarea,
.input-box select{
  width: 100%;
  padding: 10px 15px;
  font-size: 16px;
  border-radius: 10px;
  border: 1px solid #ccc;
  border-bottom-width: 2px;
  outline: none;
  transition: all 0.3s ease;
}

.input-box label {
  color: #EFECE3;
}

.input-box input:focus,
.input-box textarea:focus,
.input-box select:focus {
  border-color: rgb(206, 142, 24);
}

textarea {
  resize: vertical;
}

.button {
  margin-top: 30px;
}

.button input {
  width: 100%;
  height: 45px;
  border: none;
  border-radius: 5px;
  background-color:rgb(206, 142, 24);
  color: #fff;
  font-size: 18px;
  cursor: pointer;
  transition: all 0.5s linear;
}

.button input:hover {
  background-color:rgb(178, 122, 18);
}



.help-form {
  display: none;
}

.user-details span {
  color: red;
}


.popup-form {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

.active-popup {
  display: flex;
}

.content-popup-form {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 600px;
  height: 100px;
  border-radius: 15px;
  background-color: #ffffff;
}

.content-popup-form::after {
  content: "";
  position: absolute;
  inset: -2px;
  opacity: 0.7;
  border-radius: 16px;
  z-index: -1;

}

.content-popup-form.errorA::after {
  background: red;
}

.content-popup-form.succesA::before {
  background: green;
}

.content-popup-form::before {
  content: "";
  position: absolute;
  inset: -20px;
  border-radius: 40px;
  filter: blur(1.7rem);
  z-index: -2;
  opacity: 0.5;
}


.content-popup-form.errorB::before {
  background: red;
}

.content-popup-form.succesB::before {
  background: green;
}

.content-popup-form p {
  size: 1.3rem;
  margin: 0;
  font-family: "Roboto", "Helvetica Neue", Arial, sans-serif;
}

.content-popup-form button {
  border: 0px;
  background-color: #ffffff;
  color: #000000;
  font-size: 1rem;
  width: 30px;
  height: 30px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: -30px;
  top: -30px;
  cursor: pointer;
  border: solid 1px #000;
}

/* footer */
.footer {
  background-color: rgba(32,59,58);
  padding: 70px 0;
}
.container{
  max-width: 1200px;
  margin: auto;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.footer-col{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-col h4{
	font-size: 18px;
	color: #ffffff;
	text-transform: capitalize;
	margin: 0;
	font-weight: 500;
	position: relative;
  margin-bottom: 20px;
}



.footer-col h4::before {
  content: '';
	position: absolute;
	left:0;
	bottom: -10px;
	background-color: rgb(255, 255, 255);
  box-shadow:
    0 2px 14px #f8ffd6, /* inner white */
    0 2px 50px rgb(206, 142, 24), /* middle magenta */
    0 2px 14px rgb(218, 255, 69);
	height: 2px;
	box-sizing: border-box;
	width: 0px;
  transition: all 0.3s ease;
}

.footer-col h4:hover::before {
	width: 50px;
}

.footer-col h4 a{
	text-decoration: none;
  color: rgb(255, 255, 255);
}




.icon-wrapper {
  background-color: #ffffff; /* Fond rouge foncé */
  border-radius: 50%; /* Forme ronde */
  width: 40px; /* Taille du cercle */
  height: 40px; /* Taille du cercle */
  display: inline-flex; /* Pour centrer l'image */
  align-items: center;
  justify-content: center;
  margin-inline: 5px; /* Espacement entre les icônes */
  transition: all 0.5s ease;
}

.icon-wrapper:hover {
  box-shadow: 
    0 0 14px #f8ffd6, /* inner white */
    0 0 8px rgb(206, 142, 24), /* middle magenta */
    0 0 4px rgb(218, 255, 69); /* outer cyan */ ;
}


@media(width<=850px){
  .footer-col{
    width: 100%;
    margin-bottom: 30px;
}
}